package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

public class Furnace extends Sprite {
    public enum FurnaceState {
        OFF,
        ON,
    }

    public String getSprite() {
        return ResourceLoader.loadResource("furnace.ans");
    }

    public String getSprite(Enum e) {
        return ResourceLoader.loadResource(
                switch (e) {
                    case FurnaceState.OFF -> "furnace.ans";
                    case FurnaceState.ON -> "furnace2.ans";
                    default -> throw new IllegalStateException("Unexpected value: " + e);
                }
        );
    }
}
