package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

public class Steve extends Sprite {
    public enum SteveState{
        FIRST,
        SECOND,
    }

    public String getSprite() {
        throw new RuntimeException("Error");
    }

    public String getSprite(Enum e) {
        return ResourceLoader.loadResource(
                switch (e) {
                    case SteveState.FIRST -> "steve1.ans";
                    case SteveState.SECOND -> "steve2.ans";
                    default -> throw new IllegalStateException("Unexpected value: " + e);
                }
        );
    }
}
